Skip to main content
PUT
/
api
/
pricing
/
batches
/
{key}
Update Batch
curl --request PUT \
  --url https://api.merchantops.ai/api/pricing/batches/{key} \
  --header 'Content-Type: application/json' \
  --data '
{
  "assigned_to": "<string>",
  "depends_on_catalog_batch_key": "<string>",
  "description": "<string>",
  "due_date": "2023-11-07T05:31:56Z",
  "effective_date": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "target_env": "<string>",
  "target_key": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request body for updating a price batch. All fields optional.

assigned_to
string | null
depends_on_catalog_batch_key
string | null
description
string | null
due_date
string<date-time> | null
effective_date
string<date-time> | null
name
string | null
target_env
string | null
target_key
string | null

Response

Successful Response